# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/max77650-regulator.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Regulator driver for MAX77650 PMIC from Maxim Integrated.

maintainers:
  - Bartosz Golaszewski <bgolaszewski@baylibre.com>

description: |
  This module is part of the MAX77650 MFD device. For more details
  see Documentation/devicetree/bindings/mfd/max77650.yaml.

  The regulator controller is represented as a sub-node of the PMIC node
  on the device tree.

  The device has a single LDO regulator and a SIMO buck-boost regulator with
  three independent power rails.

properties:
  compatible:
    const: maxim,max77650-regulator

patternProperties:
  "^regulator-(ldo|sbb[0-2])$":
    $ref: "regulator.yaml#"

required:
  - compatible
additionalProperties: false

...
